View Issue Details

IDProjectCategoryView StatusLast Update
14873Bug reports[All Projects] Survey editingpublic2019-05-29 16:39
Reportercdorin Assigned Todominikvitt  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0-beta 
Summary14873: Delete question group button always greyed out
Description

see screenshot

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

cdorin

cdorin

2019-05-09 13:26

manager  

Selection_147.png (24,651 bytes)
Selection_147.png (24,651 bytes)
dominikvitt

dominikvitt

2019-05-09 15:02

developer   ~51855

@cdorin: When you hover over delete button, you would get popup message explaining why group can't be deleted

cdorin

cdorin

2019-05-10 12:11

manager   ~51859

@dominikvitt: I can't delete a simple question group that does not contain any questions.

ALso, the message that is always displayed is: "impossible to delete this group because there is at least one question having a condition on its content"

dominikvitt

dominikvitt

2019-05-16 15:45

developer   ~51968

This is fixed.
https://github.com/LimeSurvey/LimeSurvey/commit/14f9055ab0ce11596c6b26977a9167c05653da38

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52237

Version 3.17.4+190529 released

Issue History

Date Modified Username Field Change
2019-05-09 13:26 cdorin New Issue
2019-05-09 13:26 cdorin File Added: Selection_147.png
2019-05-09 15:02 dominikvitt Note Added: 51855
2019-05-10 12:11 cdorin Note Added: 51859
2019-05-16 15:45 dominikvitt Assigned To => dominikvitt
2019-05-16 15:45 dominikvitt Status new => resolved
2019-05-16 15:45 dominikvitt Resolution open => fixed
2019-05-16 15:45 dominikvitt Fixed in Version => 4.0.0-beta
2019-05-16 15:45 dominikvitt Note Added: 51968
2019-05-29 16:39 c_schmitz Note Added: 52237
2019-05-29 16:39 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing